Mercury API
CmdBlockPermaLock Method (timeout, readLock, memBank, blockPtr, blockRange, mask, accessPassword, target)
Namespaces ► ThingMagic ► SerialReader ► CmdBlockPermaLock(UInt16, Byte, Gen2..::.Bank, UInt32, Byte, array<UInt16>[]()[], UInt32, TagFilter)
BlockPermaLock
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public byte[] CmdBlockPermaLock(
    	ushort timeout,
    	byte readLock,
    	Gen2..::.Bank memBank,
    	uint blockPtr,
    	byte blockRange,
    	ushort[] mask,
    	uint accessPassword,
    	TagFilter target
    )

    <ObsoleteAttribute> _
    Public Function CmdBlockPermaLock ( _
    	timeout As UShort, _
    	readLock As Byte, _
    	memBank As Gen2..::.Bank, _
    	blockPtr As UInteger, _
    	blockRange As Byte, _
    	mask As UShort(), _
    	accessPassword As UInteger, _
    	target As TagFilter _
    ) As Byte()

    [ObsoleteAttribute]
    public:
    array<unsigned char>^ CmdBlockPermaLock(
    	unsigned short timeout,
    	unsigned char readLock,
    	Gen2..::.Bank memBank,
    	unsigned int blockPtr,
    	unsigned char blockRange,
    	array<unsigned short>^ mask,
    	unsigned int accessPassword,
    	TagFilter^ target
    )

Parameters

timeout (UInt16)
  timeout

readLock (Byte)
  read or lock?

memBank (Gen2..::.Bank)
  the tag memory bank to lock

blockPtr (UInt32)
  the staring word address to lock

blockRange (Byte)
  number of 16 blocks

mask (array< UInt16 >[]()[])
  mask

accessPassword (UInt32)
  access password

target (TagFilter)
  the tag to lock

Return Value
the return data

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)